std::__shared_mutex_cv(3)

NAME
std::__shared_mutex_cv - A shared mutex type implemented using std::condition_variable.

SYNOPSIS

Inherited by std::shared_timed_mutex [private].

  Public Member Functions
__shared_mutex_cv (const __shared_mutex_cv &)=delete
void lock ()
void lock_shared ()
__shared_mutex_cv & operator= (const __shared_mutex_cv &)=delete
bool try_lock ()
bool try_lock_shared ()
void unlock ()
void unlock_shared ()

  Friends
class shared_timed_mutex

Detailed Description

A shared mutex type implemented using std::condition_variable.

Definition at line 172 of file shared_mutex.

Author

Generated automatically by Doxygen for libstdc++ from the source code.